ToChildBlockJoinQuery (Lucene 10.5.1 join API)
Description: declaration: package: org.apache.lucene.search.join, class: ToChildBlockJoinQuery

Package org.apache.lucene.search.join

# Class ToChildBlockJoinQuery

java.lang.Object
org.apache.lucene.search.Query
org.apache.lucene.search.join.ToChildBlockJoinQuery

public class ToChildBlockJoinQuery extends Query
Just like `ToParentBlockJoinQuery`, except this query joins in reverse: you provide a Query matching parent documents and it joins down to child documents.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToChildBlockJoinQuery(Query parentQuery, BitSetProducer parentsFilter)`
  Create a ToChildBlockJoinQuery.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Weight`
  `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `boolean`
  `equals(Object other)`
  `Query`
  `getParentQuery()`
  Return our parent query.
  `int`
  `hashCode()`
  `Query`
  `rewrite(IndexSearcher indexSearcher)`
  `String`
  `toString(String field)`
  `void`
  `visit(QueryVisitor visitor)`

  ### Methods inherited from class org.apache.lucene.search.Query

  `classHash, sameClassAs, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ToChildBlockJoinQuery

    public ToChildBlockJoinQuery(Query parentQuery, BitSetProducer parentsFilter)
    Create a ToChildBlockJoinQuery.
    Parameters:
      `parentQuery` - Query that matches parent documents
      `parentsFilter` - Filter identifying the parent documents.

- ## Method Details

  - ### visit

    public void visit(QueryVisitor visitor)
    Specified by:
      `visit` in class `Query`

  - ### createWeight

    public Weight createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost) throws IOException
    Overrides:
      `createWeight` in class `Query`
    Throws:
      `IOException`

  - ### getParentQuery

    public Query getParentQuery()
    Return our parent query.

  - ### rewrite

    public Query rewrite(IndexSearcher indexSearcher) throws IOException
    Overrides:
      `rewrite` in class `Query`
    Throws:
      `IOException`

  - ### toString

    public String toString(String field)
    Specified by:
      `toString` in class `Query`

  - ### equals

    public boolean equals(Object other)
    Specified by:
      `equals` in class `Query`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Query`